src/base/cs_renumber.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
cs_renumber.h File Reference
`#include "cs_base.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
Include dependency graph for cs_renumber.h:

Go to the source code of this file.

## Enumerations
enum | cs_renumber_i_faces_type_t { CS_RENUMBER_I_FACES_BLOCK, CS_RENUMBER_I_FACES_MULTIPASS, CS_RENUMBER_I_FACES_NONE }
| Interior faces renumbering algorithm types. More...

## Functions
void | cs_renumber_set_n_threads (int n_threads)
| Set the target number of threads for mesh renumbering. More...
int | cs_renumber_get_n_threads (void)
| Return the target number of threads for mesh renumbering. More...
void | cs_renumber_set_min_subset_size (cs_lnum_t min_i_subset_size, cs_lnum_t min_b_subset_size)
| Set the minimum sunset sizes when renumbering for threads. More...
void | cs_renumber_get_min_subset_size (cs_lnum_t *min_i_subset_size, cs_lnum_t *min_b_subset_size)
| Get the minimum sunset sizes when renumbering for threads. More...
void | cs_renumber_set_i_face_algorithm (cs_renumber_i_faces_type_t algorithm)
| Select the algorithm for interior faces renumbering. More...
cs_renumber_i_faces_type_t | cs_renumber_get_i_face_algorithm (void)
| Return the algorithm for interior faces renumbering. More...
void | cs_renumber_mesh (cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
| Renumber mesh elements for vectorization or OpenMP depending on code options and target machine. More...

## Enumeration Type Documentation

enum cs_renumber_i_faces_type_t

Interior faces renumbering algorithm types.

Enumerator
CS_RENUMBER_I_FACES_BLOCK | No shared cell in block. This should produce blocks of similar (prescribed) size across thread groups.
CS_RENUMBER_I_FACES_MULTIPASS | Use multipass face numbering. This should produce a smaller number of blocks, with a diminishing number of faces per thread group.
CS_RENUMBER_I_FACES_NONE | No interior face numbering.

## Function Documentation

cs_renumber_i_faces_type_t cs_renumber_get_i_face_algorithm | ( | void |  | ) |

Return the algorithm for interior faces renumbering.

Returns
  algorithm type for interior faces renumbering

void cs_renumber_get_min_subset_size | ( | cs_lnum_t * | min_i_subset_size,
|  | cs_lnum_t * | min_b_subset_size
| ) |  |

Get the minimum sunset sizes when renumbering for threads.

Parameters

  [out] | min_i_subset_size | minimum number of interior faces per thread per group, or NULL
  [out] | min_b_subset_size | minimum number of boundary faces per thread per group, or NULL

int cs_renumber_get_n_threads | ( | void |  | ) |

Return the target number of threads for mesh renumbering.

Returns
  the target number of threads for mesh numbering

void cs_renumber_mesh | ( | cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

Renumber mesh elements for vectorization or OpenMP depending on code options and target machine.

Parameters

  [in,out] | mesh | Pointer to global mesh structure
  [in,out] | mesh_quantities | Pointer to global mesh quantities structure

void cs_renumber_set_i_face_algorithm | ( | cs_renumber_i_faces_type_t | algorithm | ) |

Select the algorithm for interior faces renumbering.

Parameters

  [in] | algorithm | algorithm type for interior faces renumbering

void cs_renumber_set_min_subset_size | ( | cs_lnum_t | min_i_subset_size,
|  | cs_lnum_t | min_b_subset_size
| ) |  |

Set the minimum sunset sizes when renumbering for threads.

Parameters

  [in] | min_i_subset_size | minimum number of interior faces per thread per group
  [in] | min_b_subset_size | minimum number of boundary faces per thread per group

void cs_renumber_set_n_threads | ( | int | n_threads | ) |

Set the target number of threads for mesh renumbering.

By default, the target number of threads is set to cs_glob_n_threads, but the value may be forced using this function. This is mainly useful for testing purposes.

Parameters

  [in] | n_threads | target number of threads for mesh numbering